<link href="//netdna.bootstrapcdn.com/bootstrap/3.0.0/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
<script src="//netdna.bootstrapcdn.com/bootstrap/3.0.0/js/bootstrap.min.js"></script>
<script src="//code.jquery.com/jquery-1.11.1.min.js"></script>
<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">
    <link rel="stylesheet" href="./assets/css/style.css">
    <title>Cart</title>
  </head>
  <body>
    <div class="jumbotron">
      <h1 class="display-4"><b>JAIME'S</b></h1>
      <p class="lead">CHILI VINEGAR AND GARLIC</p>
  </div>
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
      <div class="container-fluid">
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
          <ul class="navbar-nav">
            <li class="nav-item">
              <a class="nav-link active" aria-current="page" href="index.html">Home</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" aria-current="page" href="cart.html">Cart</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" aria-current="page" href="checkout.html">Checkout</a>
            </li>
          </ul>
        </div>
      </div>
    </nav>
    <div id="app">
      <div id="product">
        <item v-for="item in items" v-bind:item_data="item"></item>
      </div>
      <div id="cart">
        <div id="head">
          <h3>Shopping Cart</h3>
          <div id="price">Price</div>
          <div id="quantity">Quantity</div>
          <div id="total">Total</div>
        </div>
        <buyitem v-for="buyitem in buyitems" v-bind:buy_data="buyitem"></buyitem>
        <h5 v-if="total()">Sum: ₱ {{total()}}</h5>
      </div>
    </div>
    
    
    <template id="product-box">
      <div class="box">
        <img :src="item_data.img"/>
        <i class="fa fa-plus" v-on:click="addItem(item_data)"></i>
        <h2>{{item_data.title}}</h2>
        <p>₱ {{item_data.price}}</p>
      </div>
    </template>
    
    <template id="buy-box">
      <div class="row">
        <img :src="buy_data.img"/>
        <h4>{{buy_data.title}}</h4>
        <p>₱ {{buy_data.price}}</p>
        <div class="qty-minus" v-on:click="minusQty(buy_data)">-</div>
        <div class="qty">{{buy_data.qty}}</div>
        <div class="qty-plus" v-on:click="plusQty(buy_data)">+</div>
        <div class="del" v-on:click="removeItem(buy_data)">Remove</div>
        <div class="totalprice">{{buy_data.total}}</div>
      </div>
    </template>
    <script src='//production-assets.codepen.io/assets/common/stopExecutionOnTimeout-b2a7b3fe212eaa732349046d8416e00a9dec26eb7fd347590fbced3ab38af52e.js'></script><script src='https://cdnjs.cloudflare.com/ajax/libs/vue/2.1.10/vue.min.js'></script>
    <script >var mildClick = 0;
    var spicClick = 0;
    var sspiClick = 0;
    var vinegClick = 0;
    var boClick = 0;
    
    Vue.component("item", {
      template: "#product-box",
      props: ["item_data", "buyitems"],
      methods: {
        addItem: function(item_data) {
          if (item_data.id == "mild") {
            mildClick += 1;
            if (mildClick <= 1) {
              this.pushData();
            } 
            else {
              var i = this.findIndex(this.$parent.buyitems, "id", "mild");
              this.$parent.buyitems[i].qty += 1;
              this.$parent.buyitems[i].total = this.$parent.buyitems[i].qty*this.$parent.buyitems[i].price;
              console.log(i);
            }
          } 
          else if (item_data.id == "spicy") {
            spicClick += 1;
            if (spicClick <= 1) {
              this.pushData();
            } else {
              var i = this.findIndex(this.$parent.buyitems, "id", "spicy");
              this.$parent.buyitems[i].qty += 1;
              this.$parent.buyitems[i].total =this.$parent.buyitems[i].qty*this.$parent.buyitems[i].price;
            }
          } 
           else if (item_data.id == "sspicy") {
            sspiClick += 1;
            if (sspiClick <= 1) {
              this.pushData();
            } else {
              var i = this.findIndex(this.$parent.buyitems, "id", "sspicy");
              this.$parent.buyitems[i].qty += 1;
              this.$parent.buyitems[i].total =this.$parent.buyitems[i].qty*this.$parent.buyitems[i].price;
            }
          }
          else if (item_data.id == "box") {
            boClick += 1;
            if (boClick <= 1) {
              this.pushData();
            } else {
              var i = this.findIndex(this.$parent.buyitems, "id", "box");
              this.$parent.buyitems[i].qty += 1;
              this.$parent.buyitems[i].total =this.$parent.buyitems[i].qty*this.$parent.buyitems[i].price;
            }
          }
          else {
            vinegClick += 1;
            if (vinegClick <= 1) {
              this.pushData();
            } else {
              var i = this.findIndex(this.$parent.buyitems, "id", "vinegar");
              this.$parent.buyitems[i].qty += 1;
              this.$parent.buyitems[i].total = this.$parent.buyitems[i].qty*this.$parent.buyitems[i].price;
            }
          }
          console.log(mildClick, spicClick, sspiClick, boClick, vinegClick);
        },
        pushData: function() {
          this.$parent.buyitems.push({
            img: this.item_data.img,
            title: this.item_data.title,
            price: this.item_data.price,
            qty: 1,
            total: this.item_data.price,
            id: this.item_data.id
          });
        },
        findIndex: function(array, attr, value) {
          for (var i = 0; i < array.length; i += 1) {if (window.CP.shouldStopExecution(1)){break;}
            if (array[i][attr] === value) {
              return i;
            }
          }
    window.CP.exitedLoop(1);
    
          return -1;
        },
      }
    });
    Vue.component("buyitem", {
      template: "#buy-box",
      props: ["buy_data", "buyitems"],
      methods: {
        removeItem: function(buy_data) {
          var index = this.$parent.buyitems.indexOf(buy_data);
          this.$parent.buyitems.splice(index, 1);
          if (buy_data.id == "mild") {
            mildClick = 0;
          } else if (buy_data.id == "spicy") {
            spicClick = 0;
          } else if (buy_data.id == "sspicy") {
            sspiClick = 0;
          } else if (buy_data.id == "box") {
            boClick = 0;
          } else {
            vinegClick = 0;
          }
        },
        plusQty: function(buy_data){
          buy_data.qty += 1;
          buy_data.total = buy_data.qty*buy_data.price;
        },
        minusQty: function(buy_data){
          buy_data.qty -= 1;
          if (buy_data.qty < 0){
            buy_data.qty = 0;
          }
          buy_data.total = buy_data.qty*buy_data.price;
        }
        
      }
    });
    
    var app = new Vue({
      el: "#app",
      data: {
        items: [
          {
            img: "./assets/images/one.jpg",
            title: "Mild",
            price: "149.99",
            id: "mild"
          },
          {
            img: "./assets/images/two.jpg",
            title: "Spicy",
            price: "149.99",
            id: "spicy"
          },
          {
            img: "./assets/images/three.jpg",
            title: "Super Spicy",
            price: "179.99",
            id: "sspicy"
          },
          {
            img: "./assets/images/box.jpg",
            title: "3 Flavors",
            price: "469.99",
            id: "box"
          },
          {
            img: "./assets/images/vinegar.jpg",
            title: "Vinegar",
            price: "149.99",
            id: "vinegar"
          }
        ],
        buyitems: []
      },
      methods: {
        total: function(){
          var sum = 0;
          this.buyitems.forEach(function(buyitem){
                sum += parseInt(buyitem.total);
          });
          return sum;
        }
      }
    });
  //# sourceURL=pen.js
</script>
</body>
</html>

